• R/O
  • SSH
  • HTTPS

rtm-t-kernel: Commit


Commit MetaInfo

Revision8 (tree)
Time2012-09-11 17:59:55
Authoropenrtm-tk

Log Message

add base sources.

Change Summary

Incremental Difference

--- openrtm-tk/trunk/lib/openrtm-tkernel/configure (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/configure (revision 8)
@@ -890,6 +890,8 @@
890890 ORB_IS_ORBIT2_FALSE
891891 ORB_IS_ORBEXPRESS_TRUE
892892 ORB_IS_ORBEXPRESS_FALSE
893+ORB_IS_RTORB_TRUE
894+ORB_IS_RTORB_FALSE
893895 TARGET
894896 LIBRARY
895897 LD
@@ -1544,6 +1546,7 @@
15441546 --with-omniorb=dir Find omniORB installation below dir
15451547 --with-orbit2=dir Find ORBit2 installation below dir
15461548 --with-orbexpress=dir Find ORBexpress installation below dir
1549+ --with-rtorb=dir Find RtORB installation below dir
15471550 --with-generic-orb Use other CORBA 2.3 ORB
15481551 --with-generic-orb-lib =libs ORB libraries (-l...)
15491552 --with-includes=dirs Additional include dirs (separated by ':')
@@ -5293,7 +5296,7 @@
52935296 ;;
52945297 *-*-irix6*)
52955298 # Find out which ABI we are using.
5296- echo '#line 5296 "configure"' > conftest.$ac_ext
5299+ echo '#line 5299 "configure"' > conftest.$ac_ext
52975300 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
52985301 (eval $ac_compile) 2>&5
52995302 ac_status=$?
@@ -8171,11 +8174,11 @@
81718174 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
81728175 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
81738176 -e 's:$: $lt_compiler_flag:'`
8174- (eval echo "\"\$as_me:8174: $lt_compile\"" >&5)
8177+ (eval echo "\"\$as_me:8177: $lt_compile\"" >&5)
81758178 (eval "$lt_compile" 2>conftest.err)
81768179 ac_status=$?
81778180 cat conftest.err >&5
8178- echo "$as_me:8178: \$? = $ac_status" >&5
8181+ echo "$as_me:8181: \$? = $ac_status" >&5
81798182 if (exit $ac_status) && test -s "$ac_outfile"; then
81808183 # The compiler can only warn and ignore the option if not recognized
81818184 # So say no if there are warnings other than the usual output.
@@ -8461,11 +8464,11 @@
84618464 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
84628465 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
84638466 -e 's:$: $lt_compiler_flag:'`
8464- (eval echo "\"\$as_me:8464: $lt_compile\"" >&5)
8467+ (eval echo "\"\$as_me:8467: $lt_compile\"" >&5)
84658468 (eval "$lt_compile" 2>conftest.err)
84668469 ac_status=$?
84678470 cat conftest.err >&5
8468- echo "$as_me:8468: \$? = $ac_status" >&5
8471+ echo "$as_me:8471: \$? = $ac_status" >&5
84698472 if (exit $ac_status) && test -s "$ac_outfile"; then
84708473 # The compiler can only warn and ignore the option if not recognized
84718474 # So say no if there are warnings other than the usual output.
@@ -8565,11 +8568,11 @@
85658568 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
85668569 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
85678570 -e 's:$: $lt_compiler_flag:'`
8568- (eval echo "\"\$as_me:8568: $lt_compile\"" >&5)
8571+ (eval echo "\"\$as_me:8571: $lt_compile\"" >&5)
85698572 (eval "$lt_compile" 2>out/conftest.err)
85708573 ac_status=$?
85718574 cat out/conftest.err >&5
8572- echo "$as_me:8572: \$? = $ac_status" >&5
8575+ echo "$as_me:8575: \$? = $ac_status" >&5
85738576 if (exit $ac_status) && test -s out/conftest2.$ac_objext
85748577 then
85758578 # The compiler can only warn and ignore the option if not recognized
@@ -10942,7 +10945,7 @@
1094210945 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1094310946 lt_status=$lt_dlunknown
1094410947 cat > conftest.$ac_ext <<EOF
10945-#line 10945 "configure"
10948+#line 10948 "configure"
1094610949 #include "confdefs.h"
1094710950
1094810951 #if HAVE_DLFCN_H
@@ -11042,7 +11045,7 @@
1104211045 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1104311046 lt_status=$lt_dlunknown
1104411047 cat > conftest.$ac_ext <<EOF
11045-#line 11045 "configure"
11048+#line 11048 "configure"
1104611049 #include "confdefs.h"
1104711050
1104811051 #if HAVE_DLFCN_H
@@ -13447,11 +13450,11 @@
1344713450 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1344813451 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1344913452 -e 's:$: $lt_compiler_flag:'`
13450- (eval echo "\"\$as_me:13450: $lt_compile\"" >&5)
13453+ (eval echo "\"\$as_me:13453: $lt_compile\"" >&5)
1345113454 (eval "$lt_compile" 2>conftest.err)
1345213455 ac_status=$?
1345313456 cat conftest.err >&5
13454- echo "$as_me:13454: \$? = $ac_status" >&5
13457+ echo "$as_me:13457: \$? = $ac_status" >&5
1345513458 if (exit $ac_status) && test -s "$ac_outfile"; then
1345613459 # The compiler can only warn and ignore the option if not recognized
1345713460 # So say no if there are warnings other than the usual output.
@@ -13551,11 +13554,11 @@
1355113554 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1355213555 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1355313556 -e 's:$: $lt_compiler_flag:'`
13554- (eval echo "\"\$as_me:13554: $lt_compile\"" >&5)
13557+ (eval echo "\"\$as_me:13557: $lt_compile\"" >&5)
1355513558 (eval "$lt_compile" 2>out/conftest.err)
1355613559 ac_status=$?
1355713560 cat out/conftest.err >&5
13558- echo "$as_me:13558: \$? = $ac_status" >&5
13561+ echo "$as_me:13561: \$? = $ac_status" >&5
1355913562 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1356013563 then
1356113564 # The compiler can only warn and ignore the option if not recognized
@@ -15149,11 +15152,11 @@
1514915152 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1515015153 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1515115154 -e 's:$: $lt_compiler_flag:'`
15152- (eval echo "\"\$as_me:15152: $lt_compile\"" >&5)
15155+ (eval echo "\"\$as_me:15155: $lt_compile\"" >&5)
1515315156 (eval "$lt_compile" 2>conftest.err)
1515415157 ac_status=$?
1515515158 cat conftest.err >&5
15156- echo "$as_me:15156: \$? = $ac_status" >&5
15159+ echo "$as_me:15159: \$? = $ac_status" >&5
1515715160 if (exit $ac_status) && test -s "$ac_outfile"; then
1515815161 # The compiler can only warn and ignore the option if not recognized
1515915162 # So say no if there are warnings other than the usual output.
@@ -15253,11 +15256,11 @@
1525315256 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1525415257 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1525515258 -e 's:$: $lt_compiler_flag:'`
15256- (eval echo "\"\$as_me:15256: $lt_compile\"" >&5)
15259+ (eval echo "\"\$as_me:15259: $lt_compile\"" >&5)
1525715260 (eval "$lt_compile" 2>out/conftest.err)
1525815261 ac_status=$?
1525915262 cat out/conftest.err >&5
15260- echo "$as_me:15260: \$? = $ac_status" >&5
15263+ echo "$as_me:15263: \$? = $ac_status" >&5
1526115264 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1526215265 then
1526315266 # The compiler can only warn and ignore the option if not recognized
@@ -17477,11 +17480,11 @@
1747717480 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1747817481 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1747917482 -e 's:$: $lt_compiler_flag:'`
17480- (eval echo "\"\$as_me:17480: $lt_compile\"" >&5)
17483+ (eval echo "\"\$as_me:17483: $lt_compile\"" >&5)
1748117484 (eval "$lt_compile" 2>conftest.err)
1748217485 ac_status=$?
1748317486 cat conftest.err >&5
17484- echo "$as_me:17484: \$? = $ac_status" >&5
17487+ echo "$as_me:17487: \$? = $ac_status" >&5
1748517488 if (exit $ac_status) && test -s "$ac_outfile"; then
1748617489 # The compiler can only warn and ignore the option if not recognized
1748717490 # So say no if there are warnings other than the usual output.
@@ -17767,11 +17770,11 @@
1776717770 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1776817771 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1776917772 -e 's:$: $lt_compiler_flag:'`
17770- (eval echo "\"\$as_me:17770: $lt_compile\"" >&5)
17773+ (eval echo "\"\$as_me:17773: $lt_compile\"" >&5)
1777117774 (eval "$lt_compile" 2>conftest.err)
1777217775 ac_status=$?
1777317776 cat conftest.err >&5
17774- echo "$as_me:17774: \$? = $ac_status" >&5
17777+ echo "$as_me:17777: \$? = $ac_status" >&5
1777517778 if (exit $ac_status) && test -s "$ac_outfile"; then
1777617779 # The compiler can only warn and ignore the option if not recognized
1777717780 # So say no if there are warnings other than the usual output.
@@ -17871,11 +17874,11 @@
1787117874 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1787217875 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1787317876 -e 's:$: $lt_compiler_flag:'`
17874- (eval echo "\"\$as_me:17874: $lt_compile\"" >&5)
17877+ (eval echo "\"\$as_me:17877: $lt_compile\"" >&5)
1787517878 (eval "$lt_compile" 2>out/conftest.err)
1787617879 ac_status=$?
1787717880 cat out/conftest.err >&5
17878- echo "$as_me:17878: \$? = $ac_status" >&5
17881+ echo "$as_me:17881: \$? = $ac_status" >&5
1787917882 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1788017883 then
1788117884 # The compiler can only warn and ignore the option if not recognized
@@ -20993,6 +20996,12 @@
2099320996 fi
2099420997
2099520998
20999+# Check whether --with-rtorb was given.
21000+if test "${with_rtorb+set}" = set; then
21001+ withval=$with_rtorb;
21002+fi
21003+
21004+
2099621005 # Check whether --with-generic-orb was given.
2099721006 if test "${with_generic_orb+set}" = set; then
2099821007 withval=$with_generic_orb;
@@ -21232,6 +21241,9 @@
2123221241 if test "x$with_orbexpress" != "x" ; then
2123321242 orb_to_use=ORBexpress
2123421243 fi
21244+if test "x$with_rtorb" != "x" ; then
21245+ orb_to_use=RtORB
21246+fi
2123521247 if test "x$orb_to_use" = "x" ; then
2123621248 orb_to_use=omniORB
2123721249 fi
@@ -22871,7 +22883,203 @@
2287122883
2287222884
2287322885
22886+have_rtorb=no
2287422887
22888+if test "x$orb_to_use" = "xRtORB" ; then
22889+ { echo "$as_me:$LINENO: checking for RtORB/corba.hh" >&5
22890+echo $ECHO_N "checking for RtORB/corba.hh... $ECHO_C" >&6; }
22891+
22892+ if test "x" = "x" ; then
22893+ ff_name=`echo RtORB/corba.hh | sed 's/[-.*/ ]/_/g'`
22894+ else
22895+ ff_name=""
22896+ fi
22897+ eval $ff_name=
22898+ eval ${ff_name}_dir=
22899+ ff_file=
22900+ ff_file_dir=
22901+ for ff_dir in $with_rtorb/include $more_incs $base_incs $base_dirs ; do
22902+ if test -f $ff_dir/RtORB/corba.hh ; then
22903+ ff_file_dir=$ff_dir
22904+ ff_file=$ff_dir/RtORB/corba.hh
22905+ break
22906+ fi
22907+ for ff_subdir in include cxx/include ; do
22908+ if test -f $ff_dir/$ff_subdir/RtORB/corba.hh ; then
22909+ ff_file_dir=$ff_dir/$ff_subdir
22910+ ff_file=$ff_dir/$ff_subdir/RtORB/corba.hh
22911+ break
22912+ fi
22913+ done
22914+ if test "x$ff_file" != "x" ; then
22915+ break
22916+ fi
22917+ done
22918+ eval ${ff_name}_dir="$ff_file_dir"
22919+ eval $ff_name="$ff_file"
22920+
22921+ if test "x$RtORB_corba_hh_dir" = "x" ; then
22922+ { echo "$as_me:$LINENO: result: not found" >&5
22923+echo "${ECHO_T}not found" >&6; }
22924+ else
22925+ { echo "$as_me:$LINENO: result: found in $RtORB_corba_hh_dir" >&5
22926+echo "${ECHO_T}found in $RtORB_corba_hh_dir" >&6; }
22927+ have_rtorb=yes
22928+ fi
22929+fi
22930+
22931+
22932+if test "x$have_rtorb" = "xyes" ; then
22933+ { echo "$as_me:$LINENO: checking for libRtORB.so" >&5
22934+echo $ECHO_N "checking for libRtORB.so... $ECHO_C" >&6; }
22935+
22936+ if test "x" = "x" ; then
22937+ ff_name=`echo libRtORB.so | sed 's/[-.*/ ]/_/g'`
22938+ else
22939+ ff_name=""
22940+ fi
22941+ eval $ff_name=
22942+ eval ${ff_name}_dir=
22943+ ff_file=
22944+ ff_file_dir=
22945+ for ff_dir in $with_rtorb/lib $more_libs $base_libs $base_dirs ; do
22946+ if test -f $ff_dir/libRtORB.so ; then
22947+ ff_file_dir=$ff_dir
22948+ ff_file=$ff_dir/libRtORB.so
22949+ break
22950+ fi
22951+ for ff_subdir in lib cxx/lib ; do
22952+ if test -f $ff_dir/$ff_subdir/libRtORB.so ; then
22953+ ff_file_dir=$ff_dir/$ff_subdir
22954+ ff_file=$ff_dir/$ff_subdir/libRtORB.so
22955+ break
22956+ fi
22957+ done
22958+ if test "x$ff_file" != "x" ; then
22959+ break
22960+ fi
22961+ done
22962+ eval ${ff_name}_dir="$ff_file_dir"
22963+ eval $ff_name="$ff_file"
22964+
22965+ if test "x$libRtORB_so_dir" = "x" ; then
22966+ { echo "$as_me:$LINENO: result: not found" >&5
22967+echo "${ECHO_T}not found" >&6; }
22968+ { { echo "$as_me:$LINENO: error: use --with-rtorb=dir to locate <dir>/lib/libRtORB.so" >&5
22969+echo "$as_me: error: use --with-rtorb=dir to locate <dir>/lib/libRtORB.so" >&2;}
22970+ { (exit 1); exit 1; }; }
22971+ else
22972+ { echo "$as_me:$LINENO: result: found in $libRtORB_so_dir" >&5
22973+echo "${ECHO_T}found in $libRtORB_so_dir" >&6; }
22974+ fi
22975+
22976+ { echo "$as_me:$LINENO: checking for libRtORB_cpp.so" >&5
22977+echo $ECHO_N "checking for libRtORB_cpp.so... $ECHO_C" >&6; }
22978+
22979+ if test "x" = "x" ; then
22980+ ff_name=`echo libRtORB_cpp.so | sed 's/[-.*/ ]/_/g'`
22981+ else
22982+ ff_name=""
22983+ fi
22984+ eval $ff_name=
22985+ eval ${ff_name}_dir=
22986+ ff_file=
22987+ ff_file_dir=
22988+ for ff_dir in $with_rtorb/lib $more_libs $base_libs $base_dirs ; do
22989+ if test -f $ff_dir/libRtORB_cpp.so ; then
22990+ ff_file_dir=$ff_dir
22991+ ff_file=$ff_dir/libRtORB_cpp.so
22992+ break
22993+ fi
22994+ for ff_subdir in lib cxx/lib ; do
22995+ if test -f $ff_dir/$ff_subdir/libRtORB_cpp.so ; then
22996+ ff_file_dir=$ff_dir/$ff_subdir
22997+ ff_file=$ff_dir/$ff_subdir/libRtORB_cpp.so
22998+ break
22999+ fi
23000+ done
23001+ if test "x$ff_file" != "x" ; then
23002+ break
23003+ fi
23004+ done
23005+ eval ${ff_name}_dir="$ff_file_dir"
23006+ eval $ff_name="$ff_file"
23007+
23008+ if test "x$libRtORB_cpp_so_dir" = "x" ; then
23009+ { echo "$as_me:$LINENO: result: not found" >&5
23010+echo "${ECHO_T}not found" >&6; }
23011+ { { echo "$as_me:$LINENO: error: use --with-rtorb=dir to locate <dir>/lib/libRtORB_cpp.so" >&5
23012+echo "$as_me: error: use --with-rtorb=dir to locate <dir>/lib/libRtORB_cpp.so" >&2;}
23013+ { (exit 1); exit 1; }; }
23014+ else
23015+ { echo "$as_me:$LINENO: result: found in $libRtORB_cpp_so_dir" >&5
23016+echo "${ECHO_T}found in $libRtORB_cpp_so_dir" >&6; }
23017+ fi
23018+
23019+ { echo "$as_me:$LINENO: checking for rtorb-idl" >&5
23020+echo $ECHO_N "checking for rtorb-idl... $ECHO_C" >&6; }
23021+
23022+ if test "x" = "x" ; then
23023+ ff_name=`echo rtorb-idl | sed 's/[-.*/ ]/_/g'`
23024+ else
23025+ ff_name=""
23026+ fi
23027+ eval $ff_name=
23028+ eval ${ff_name}_dir=
23029+ ff_file=
23030+ ff_file_dir=
23031+ for ff_dir in $with_rtorb/bin $base_bins $base_dirs ; do
23032+ if test -f $ff_dir/rtorb-idl ; then
23033+ ff_file_dir=$ff_dir
23034+ ff_file=$ff_dir/rtorb-idl
23035+ break
23036+ fi
23037+ for ff_subdir in bin ; do
23038+ if test -f $ff_dir/$ff_subdir/rtorb-idl ; then
23039+ ff_file_dir=$ff_dir/$ff_subdir
23040+ ff_file=$ff_dir/$ff_subdir/rtorb-idl
23041+ break
23042+ fi
23043+ done
23044+ if test "x$ff_file" != "x" ; then
23045+ break
23046+ fi
23047+ done
23048+ eval ${ff_name}_dir="$ff_file_dir"
23049+ eval $ff_name="$ff_file"
23050+
23051+ if test "x$rtorb_idl" = "x" ; then
23052+ { echo "$as_me:$LINENO: result: not found" >&5
23053+echo "${ECHO_T}not found" >&6; }
23054+ { { echo "$as_me:$LINENO: error: use --with-rtorb=dir to locate bin prefix. ex. <dir>/bin/rtorb-idl" >&5
23055+echo "$as_me: error: use --with-rtorb=dir to locate bin prefix. ex. <dir>/bin/rtorb-idl" >&2;}
23056+ { (exit 1); exit 1; }; }
23057+ else
23058+ { echo "$as_me:$LINENO: result: found. $rtorb_idl" >&5
23059+echo "${ECHO_T}found. $rtorb_idl" >&6; }
23060+ fi
23061+
23062+ IDLC=$rtorb_idl
23063+ IDL_FLAGS="--skeleton-impl -DORBIT2_IDL -I."
23064+ COSNAMES=$with_rtorb/CosName/NameService
23065+ CPPFLAGS="$CPPFLAGS -DUSE_THREAD -DLinux -I$with_rtorb/include"
23066+ CXXFLAGS="$CXXFLAGS -DUSE_THREAD -DLinux -I$with_rtorb/include"
23067+ LDFLAGS="$LDFLAGS -L$libRtORB_so_dir"
23068+ LIBS="$LIBS -lRtORB -lRtORB_cpp -lpthread"
23069+ LDSOLIBS="$LDSOLIBS -lRtORB -lRtORB_cpp -lpthread"
23070+
23071+cat >>confdefs.h <<\_ACEOF
23072+#define ORB_IS_RTORB TRUE
23073+_ACEOF
23074+
23075+fi
23076+
23077+if test "x$orb_to_use" = "x" && test "x$have_rtorb" = "xyes" ; then
23078+ orb_to_use=RtORB
23079+fi
23080+
23081+
23082+
2287523083 { echo "$as_me:$LINENO: checking ORB to use" >&5
2287623084 echo $ECHO_N "checking ORB to use... $ECHO_C" >&6; }
2287723085 case $orb_to_use in
@@ -22903,6 +23111,10 @@
2290323111 { echo "$as_me:$LINENO: result: ORBexpress, version $orbexpress_version" >&5
2290423112 echo "${ECHO_T}ORBexpress, version $orbexpress_version" >&6; }
2290523113 ;;
23114+RtORB)
23115+ { echo "$as_me:$LINENO: result: RtORB, version $rtorb_version" >&5
23116+echo "${ECHO_T}RtORB, version $rtorb_version" >&6; }
23117+ ;;
2290623118 generic)
2290723119 { echo "$as_me:$LINENO: result: generic ORB, unknown version" >&5
2290823120 echo "${ECHO_T}generic ORB, unknown version" >&6; }
@@ -22979,8 +23191,16 @@
2297923191 ORB_IS_ORBEXPRESS_FALSE=
2298023192 fi
2298123193
23194+ if test x$orb_to_use = xRtORB; then
23195+ ORB_IS_RTORB_TRUE=
23196+ ORB_IS_RTORB_FALSE='#'
23197+else
23198+ ORB_IS_RTORB_TRUE='#'
23199+ ORB_IS_RTORB_FALSE=
23200+fi
2298223201
2298323202
23203+
2298423204 WRAPPERS=
2298523205
2298623206
@@ -23501,6 +23721,13 @@
2350123721 Usually this means the macro was only invoked conditionally." >&2;}
2350223722 { (exit 1); exit 1; }; }
2350323723 fi
23724+if test -z "${ORB_IS_RTORB_TRUE}" && test -z "${ORB_IS_RTORB_FALSE}"; then
23725+ { { echo "$as_me:$LINENO: error: conditional \"ORB_IS_RTORB\" was never defined.
23726+Usually this means the macro was only invoked conditionally." >&5
23727+echo "$as_me: error: conditional \"ORB_IS_RTORB\" was never defined.
23728+Usually this means the macro was only invoked conditionally." >&2;}
23729+ { (exit 1); exit 1; }; }
23730+fi
2350423731
2350523732 : ${CONFIG_STATUS=./config.status}
2350623733 ac_clean_files_save=$ac_clean_files
@@ -24295,6 +24522,8 @@
2429524522 ORB_IS_ORBIT2_FALSE!$ORB_IS_ORBIT2_FALSE$ac_delim
2429624523 ORB_IS_ORBEXPRESS_TRUE!$ORB_IS_ORBEXPRESS_TRUE$ac_delim
2429724524 ORB_IS_ORBEXPRESS_FALSE!$ORB_IS_ORBEXPRESS_FALSE$ac_delim
24525+ORB_IS_RTORB_TRUE!$ORB_IS_RTORB_TRUE$ac_delim
24526+ORB_IS_RTORB_FALSE!$ORB_IS_RTORB_FALSE$ac_delim
2429824527 TARGET!$TARGET$ac_delim
2429924528 LIBRARY!$LIBRARY$ac_delim
2430024529 LD!$LD$ac_delim
@@ -24322,7 +24551,7 @@
2432224551 LTLIBOBJS!$LTLIBOBJS$ac_delim
2432324552 _ACEOF
2432424553
24325- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 50; then
24554+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 52; then
2432624555 break
2432724556 elif $ac_last_try; then
2432824557 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CORBA_SeqUtil.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CORBA_SeqUtil.h (revision 8)
@@ -417,7 +417,12 @@
417417
418418 for (CORBA::ULong i(0), len(objlist.length()); i < len; ++i)
419419 {
420+#ifndef ORB_IS_RTORB
420421 CORBA::String_var str_var = orb->object_to_string(objlist[i].in());
422+#else
423+ CORBA_Object obj = (objlist.cobj())->_buffer[i];
424+ CORBA::String_var str_var = orb->object_to_string2(obj);
425+#endif
421426 iorlist.push_back(str_var.in());
422427 }
423428 return iorlist;
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortBase.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortBase.cpp (revision 8)
@@ -863,7 +863,12 @@
863863 RTC_TRACE(("provider created"));
864864 provider->init(prop.getNode("provider"));
865865
866+#ifdef ORB_IS_RTORB
867+ ::SDOPackage::NVList_ptr prop_ref(cprof.properties);
868+ if (!provider->publishInterface(*prop_ref))
869+#else
866870 if (!provider->publishInterface(cprof.properties))
871+#endif
867872 {
868873 RTC_ERROR(("publishing interface information error"));
869874 OutPortProviderFactory::instance().deleteObject(provider);
@@ -935,7 +940,11 @@
935940 {
936941 ConnectorInfo profile(cprof.name,
937942 cprof.connector_id,
943+#ifndef ORB_IS_RTORB
938944 CORBA_SeqUtil::refToVstring(cprof.ports),
945+#else
946+ CORBA_SeqUtil::refToVstring(RTC::PortServiceList(cprof.ports)),
947+#endif
939948 prop);
940949 OutPortConnector* connector(0);
941950 try
@@ -980,7 +989,11 @@
980989 RTC_VERBOSE(("createConnector()"));
981990 ConnectorInfo profile(cprof.name,
982991 cprof.connector_id,
992+#ifndef ORB_IS_RTORB
983993 CORBA_SeqUtil::refToVstring(cprof.ports),
994+#else
995+ CORBA_SeqUtil::refToVstring(RTC::PortServiceList(cprof.ports)),
996+#endif
984997 prop);
985998 OutPortConnector* connector(0);
986999 try
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortProvider.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortProvider.cpp (revision 8)
@@ -56,8 +56,14 @@
5656 {
5757 RTC_TRACE(("publishInterfaceProfile()"));
5858
59+#ifdef ORB_IS_RTORB
60+ SDOPackage_NVList prop_ptr(*prop.cobj());
61+ NVUtil::appendStringValue(prop_ptr, "dataport.interface_type",
62+ m_interfaceType.c_str());
63+#else
5964 NVUtil::appendStringValue(prop, "dataport.interface_type",
6065 m_interfaceType.c_str());
66+#endif
6167 NVUtil::append(prop, m_properties);
6268 }
6369
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortCorbaCdrProvider.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortCorbaCdrProvider.cpp (revision 8)
@@ -44,11 +44,17 @@
4444 // set outPort's reference
4545 CORBA::ORB_ptr orb = ::RTC::Manager::instance().getORB();
4646 CORBA::String_var ior = orb->object_to_string(m_objref.in());
47+#ifndef ORB_IS_RTORB
4748 CORBA_SeqUtil::
4849 push_back(m_properties,
4950 NVUtil::newNV("dataport.corba_cdr.outport_ior", ior));
51+#else
5052 CORBA_SeqUtil::
5153 push_back(m_properties,
54+ NVUtil::newNV("dataport.corba_cdr.outport_ior", ior.in()));
55+#endif
56+ CORBA_SeqUtil::
57+ push_back(m_properties,
5258 NVUtil::newNV("dataport.corba_cdr.outport_ref", m_objref));
5359 }
5460
@@ -139,8 +145,13 @@
139145 RTC_ERROR(("buffer is empty."));
140146 return ::OpenRTM::BUFFER_EMPTY;
141147 }
148+#ifndef ORB_IS_RTORB
142149 data->length(len);
143150 cdr.get_octet_array(&((*data)[0]), len);
151+#else
152+ data->length(len);
153+ cdr.get_octet_array((char *)&((*data)[0]), (int)len);
154+#endif
144155 }
145156
146157 return convertReturn(ret, cdr);
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PeriodicExecutionContext.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PeriodicExecutionContext.cpp (revision 8)
@@ -278,6 +278,7 @@
278278 throw (CORBA::SystemException)
279279 {
280280 RTC_TRACE(("activate_component()"));
281+#ifndef ORB_IS_RTORB
281282 CompItr it;
282283 it = std::find_if(m_comps.begin(), m_comps.end(),
283284 find_comp(comp));
@@ -290,6 +291,19 @@
290291
291292 it->_sm.m_sm.goTo(ACTIVE_STATE);
292293 return RTC::RTC_OK;
294+#else
295+ for(int i=0; i < m_comps.size() ; i++){
296+ if(m_comps.at(i)._ref->_is_equivalent(comp)){
297+
298+ if (!(m_comps.at(i)._sm.m_sm.isIn(INACTIVE_STATE)))
299+ return RTC::PRECONDITION_NOT_MET;
300+
301+ m_comps.at(i)._sm.m_sm.goTo(ACTIVE_STATE);
302+ return RTC::RTC_OK;
303+ }
304+ }
305+ return RTC::BAD_PARAMETER;
306+#endif
293307 }
294308
295309 /*!
@@ -304,6 +318,7 @@
304318 throw (CORBA::SystemException)
305319 {
306320 RTC_TRACE(("deactivate_component()"));
321+#ifndef ORB_IS_RTORB
307322 CompItr it;
308323 it = std::find_if(m_comps.begin(), m_comps.end(),
309324 find_comp(comp));
@@ -315,6 +330,19 @@
315330
316331 it->_sm.m_sm.goTo(INACTIVE_STATE);
317332 return RTC::RTC_OK;
333+#else
334+ for(int i=0; i < m_comps.size() ; i++){
335+ if(m_comps.at(i)._ref->_is_equivalent(comp)){
336+
337+ if (!(m_comps.at(i)._sm.m_sm.isIn(ACTIVE_STATE)))
338+ return RTC::PRECONDITION_NOT_MET;
339+
340+ m_comps.at(i)._sm.m_sm.goTo(INACTIVE_STATE);
341+ return RTC::RTC_OK;
342+ }
343+ }
344+ return RTC::BAD_PARAMETER;
345+#endif
318346 }
319347
320348 /*!
@@ -354,6 +382,7 @@
354382 throw (CORBA::SystemException)
355383 {
356384 RTC_TRACE(("get_component_state()"));
385+#ifndef ORB_IS_RTORB
357386 CompItr it;
358387 it = std::find_if(m_comps.begin(), m_comps.end(), find_comp(comp));
359388
@@ -363,6 +392,14 @@
363392 }
364393
365394 return it->_sm.m_sm.getState();
395+#else
396+ for(int i=0; i < m_comps.size() ; i++){
397+ if(m_comps.at(i)._ref->_is_equivalent(comp)){
398+ return m_comps.at(i)._sm.m_sm.getState();
399+ }
400+ }
401+ return RTC::CREATED_STATE;
402+#endif
366403 }
367404
368405 /*!
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortCorbaCdrConsumer.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortCorbaCdrConsumer.cpp (revision 8)
@@ -99,7 +99,9 @@
9999 if (ret == ::OpenRTM::PORT_OK)
100100 {
101101 RTC_DEBUG(("get() successful"));
102+
102103 data.put_octet_array(&(cdr_data[0]), (int)cdr_data->length());
104+
103105 RTC_PARANOID(("CDR data length: %d", cdr_data->length()));
104106
105107 onReceived(data);
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/SdoOrganization.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/SdoOrganization.cpp (revision 8)
@@ -31,6 +31,23 @@
3131 * @brief Constructor
3232 * @endif
3333 */
34+#ifdef ORB_IS_RTORB
35+ Organization_impl::Organization_impl(RTC::RTObject_ptr sdo)
36+ : rtclog("organization")
37+ {
38+ m_varOwner = sdo.in();
39+
40+ coil::UUID_Generator uugen;
41+ uugen.init();
42+ std::auto_ptr<coil::UUID> uuid(uugen.generateUUID(2,0x01));
43+ m_pId = uuid->to_string();
44+#ifdef WIN32
45+ uuid->~UUID();
46+#endif
47+ m_dependency = OWN;
48+ m_objref = this->_this();
49+ }
50+#endif
3451 Organization_impl::Organization_impl(SDOSystemElement_ptr sdo)
3552 : rtclog("organization"), m_varOwner(SDOSystemElement::_duplicate(sdo))
3653 {
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CORBA_IORUtil.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CORBA_IORUtil.h (revision 8)
@@ -58,7 +58,6 @@
5858 * @endif
5959 */
6060 bool toString(IOP::IOR& ior, std::string& iorstr);
61-
6261 /*!
6362 * @if jp
6463 * @brief IOR内のエンドポイントを置換する
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortBase.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortBase.cpp (revision 8)
@@ -432,6 +432,7 @@
432432 RTC_TRACE(("publishInterfaces()"));
433433
434434 ReturnCode_t returnvalue = _publishInterfaces();
435+
435436 if(returnvalue!=RTC::RTC_OK)
436437 {
437438 return returnvalue;
@@ -609,7 +610,9 @@
609610 if (id == (*it)->id())
610611 {
611612 // Connector's dtor must call disconnect()
613+#ifndef ORB_IS_RTORB
612614 delete *it;
615+#endif
613616 m_connectors.erase(it);
614617 RTC_TRACE(("delete connector: %s", id.c_str()));
615618 return;
@@ -767,6 +770,7 @@
767770 InPortProvider*
768771 InPortBase::createProvider(ConnectorProfile& cprof, coil::Properties& prop)
769772 {
773+
770774 if (!prop["interface_type"].empty() &&
771775 !coil::includes((coil::vstring)m_providerTypes, prop["interface_type"]))
772776 {
@@ -787,7 +791,12 @@
787791 RTC_DEBUG(("provider created"));
788792 provider->init(prop.getNode("provider"));
789793
794+#ifdef ORB_IS_RTORB
795+ ::SDOPackage::NVList_ptr prop_ref(cprof.properties);
796+ if (!provider->publishInterface(*prop_ref))
797+#else
790798 if (!provider->publishInterface(cprof.properties))
799+#endif
791800 {
792801 RTC_ERROR(("publishing interface information error"));
793802 InPortProviderFactory::instance().deleteObject(provider);
@@ -858,7 +867,11 @@
858867 {
859868 ConnectorInfo profile(cprof.name,
860869 cprof.connector_id,
870+#ifndef ORB_IS_RTORB
861871 CORBA_SeqUtil::refToVstring(cprof.ports),
872+#else
873+ CORBA_SeqUtil::refToVstring(RTC::PortServiceList(cprof.ports)),
874+#endif
862875 prop);
863876 InPortConnector* connector(0);
864877 try
@@ -908,9 +921,14 @@
908921 coil::Properties& prop,
909922 OutPortConsumer* consumer)
910923 {
924+
911925 ConnectorInfo profile(cprof.name,
912926 cprof.connector_id,
927+#ifndef ORB_IS_RTORB
913928 CORBA_SeqUtil::refToVstring(cprof.ports),
929+#else
930+ CORBA_SeqUtil::refToVstring(RTC::PortServiceList(cprof.ports)),
931+#endif
914932 prop);
915933 InPortConnector* connector(0);
916934 try
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/Manager.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/Manager.cpp (revision 8)
@@ -427,8 +427,11 @@
427427 RtcDeleteFunc delete_func)
428428 {
429429 RTC_TRACE(("Manager::registerFactory(%s)", profile["type_name"].c_str()));
430+
430431 FactoryBase* factory;
432+
431433 factory = new FactoryCXX(profile, new_func, delete_func);
434+
432435 try
433436 {
434437 bool ret = m_factory.registerObject(factory);
@@ -628,6 +631,7 @@
628631 // rtc.conf:
629632 // [category].[type_name].config_file = file_name
630633 // [category].[instance_name].config_file = file_name
634+
631635 configureComponent(comp, prop);
632636
633637 // comp->setProperties(prop);
@@ -1055,6 +1059,7 @@
10551059
10561060 // ORB initialization
10571061 m_pORB = CORBA::ORB_init(argc, argv);
1062+
10581063 // Get the RootPOA
10591064 CORBA::Object_var obj = m_pORB->resolve_initial_references("RootPOA");
10601065 m_pPOA = PortableServer::POA::_narrow(obj);
@@ -1183,6 +1188,7 @@
11831188 */
11841189 void Manager::shutdownORB()
11851190 {
1191+ std::cout << "***** Manager::shutdownORB()" << std::endl;
11861192 RTC_TRACE(("Manager::shutdownORB()"));
11871193 if(CORBA::is_nil(m_pORB))
11881194 {
@@ -1217,7 +1223,9 @@
12171223 catch (CORBA::SystemException& ex)
12181224 {
12191225 RTC_ERROR(("Exception cought during root POA destruction"));
1226+#ifndef ORB_IS_RTORB
12201227 RTC_ERROR(("CORBA::SystemException(minor=%d)", ex.minor()));
1228+#endif
12211229 }
12221230 catch (...)
12231231 {
@@ -1238,7 +1246,9 @@
12381246 catch (CORBA::SystemException& ex)
12391247 {
12401248 RTC_ERROR(("Exception caught during ORB shutdown"));
1249+#ifndef ORB_IS_RTORB
12411250 RTC_ERROR(("CORBA::SystemException(minodor=%d)", ex.minor()));
1251+#endif
12421252 }
12431253 catch (...)
12441254 {
@@ -1369,11 +1379,13 @@
13691379 bool Manager::initManagerServant()
13701380 {
13711381 RTC_TRACE((""));
1382+
13721383 if (!coil::toBool(m_config["manager.corba_servant"], "YES", "NO", true))
13731384 {
13741385 return true;
13751386 }
1376- m_mgrservant = new RTM::ManagerServant();
1387+ m_mgrservant = new ::RTM::ManagerServant();
1388+
13771389 coil::Properties& prop(m_config.getNode("manager"));
13781390 std::vector<std::string> names(coil::split(prop["naming_formats"], ","));
13791391
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/SdoOrganization.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/SdoOrganization.h (revision 8)
@@ -93,6 +93,9 @@
9393 *
9494 * @endif
9595 */
96+#ifdef ORB_IS_RTORB
97+ Organization_impl(RTC::RTObject_ptr sdo);
98+#endif
9699 Organization_impl(SDOSystemElement_ptr sdo);
97100
98101 /*!
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPort.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPort.h (revision 8)
@@ -462,7 +462,11 @@
462462 if (ret == PORT_OK)
463463 {
464464 RTC_DEBUG(("data read succeeded"));
465+#ifndef ORB_IS_RTORB
465466 m_value <<= cdr;
467+#else
468+ m_value <<= cdr;
469+#endif
466470 if (m_OnReadConvert != 0)
467471 {
468472 m_value = (*m_OnReadConvert)(m_value);
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPort.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPort.h (revision 8)
@@ -328,6 +328,7 @@
328328 if (ret == CONNECTION_LOST)
329329 {
330330 RTC_WARN(("connection_lost id: %s", m_connectors[i]->profile().id.c_str()));
331+ printf("connection_lost id: %s", m_connectors[i]->profile().id.c_str());
331332 if (m_onConnectionLost != 0)
332333 {
333334 (*m_onConnectionLost)(prof);
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/ManagerServant.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/ManagerServant.h (revision 8)
@@ -362,7 +362,11 @@
362362 *
363363 * @endif
364364 */
365+#ifdef ORB_IS_RTORB
366+ CORBA::Boolean is_master();
367+#else
365368 bool is_master();
369+#endif
366370
367371 /*!
368372 * @if jp
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PortBase.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PortBase.h (revision 8)
@@ -1911,7 +1911,11 @@
19111911 *
19121912 * @endif
19131913 */
1914+#ifndef ORB_IS_RTORB
19141915 bool checkPorts(::RTC::PortServiceList& ports);
1916+#else
1917+ bool checkPorts(RTC_PortServiceList& ports);
1918+#endif
19151919
19161920 /*!
19171921 * @if jp
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/NVUtil.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/NVUtil.h (revision 8)
@@ -252,7 +252,11 @@
252252 *
253253 * @endif
254254 */
255+#ifndef ORB_IS_RTORB
255256 void copyFromProperties(SDOPackage::NVList& nv, const coil::Properties& prop);
257+#else
258+ void copyFromProperties(SDOPackage_NVList& nv, const coil::Properties& prop);
259+#endif
256260
257261 /*!
258262 * @if jp
@@ -496,8 +500,13 @@
496500 *
497501 * @endif
498502 */
503+#ifndef ORB_IS_RTORB
499504 bool appendStringValue(SDOPackage::NVList& nv, const char* name,
500505 const char* value);
506+#else
507+ bool appendStringValue(SDOPackage_NVList& nv, const char* name,
508+ const char* value);
509+#endif
501510
502511 /*!
503512 * @if jp
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortCorbaCdrProvider.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortCorbaCdrProvider.cpp (revision 8)
@@ -44,11 +44,17 @@
4444 // set InPort's reference
4545 CORBA::ORB_ptr orb = ::RTC::Manager::instance().getORB();
4646 CORBA::String_var ior = orb->object_to_string(m_objref.in());
47+#ifndef ORB_IS_RTORB
4748 CORBA_SeqUtil::
4849 push_back(m_properties,
4950 NVUtil::newNV("dataport.corba_cdr.inport_ior", ior));
51+#else
5052 CORBA_SeqUtil::
5153 push_back(m_properties,
54+ NVUtil::newNV("dataport.corba_cdr.inport_ior", ior.in()));
55+#endif
56+ CORBA_SeqUtil::
57+ push_back(m_properties,
5258 NVUtil::newNV("dataport.corba_cdr.inport_ref", m_objref));
5359 }
5460
@@ -119,6 +125,7 @@
119125
120126 RTC_PARANOID(("converted CDR data size: %d", cdr.bufSize()));
121127 onReceived(cdr);
128+ onReceived(cdr);
122129 BufferStatus::Enum ret = m_buffer->write(cdr);
123130
124131 return convertReturn(ret, cdr);
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortCorbaCdrConsumer.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortCorbaCdrConsumer.cpp (revision 8)
@@ -71,6 +71,7 @@
7171 {
7272 RTC_PARANOID(("put()"));
7373
74+#ifndef ORB_IS_RTORB
7475 ::OpenRTM::CdrData tmp(data.bufSize(), data.bufSize(),
7576 static_cast<CORBA::Octet*>(data.bufPtr()), 0);
7677 try
@@ -83,6 +84,22 @@
8384 {
8485 return CONNECTION_LOST;
8586 }
87+#else
88+ OpenRTM_CdrData *cdrdata_tmp = new OpenRTM_CdrData();
89+ cdrdata_tmp->_buffer = (CORBA_octet *)RtORB_alloc(data.bufSize(), "put(InPortCorbaCdrComsumer");
90+ memcpy(cdrdata_tmp->_buffer, data.bufPtr(), data.bufSize());
91+ cdrdata_tmp->_length=cdrdata_tmp->_maximum= data.bufSize();
92+ ::OpenRTM::CdrData tmp(cdrdata_tmp);
93+ try
94+ {
95+ return convertReturnCode(_ptr()->put(tmp));
96+ }
97+ catch (...)
98+ {
99+ return CONNECTION_LOST;
100+ }
101+
102+#endif
86103 return UNKNOWN_ERROR;
87104 }
88105
@@ -212,7 +229,7 @@
212229 RTC_ERROR(("prop[inport_ref] is not objref"));
213230 return true;
214231 }
215-
232+
216233 if (CORBA::is_nil(obj))
217234 {
218235 RTC_ERROR(("prop[inport_ref] is not objref"));
@@ -256,6 +273,7 @@
256273
257274 CORBA::ORB_ptr orb = RTC::Manager::instance().getORB();
258275 CORBA::Object_var var = orb->string_to_object(ior);
276+
259277 if (!(_ptr()->_is_equivalent(var)))
260278 {
261279 RTC_ERROR(("connector property inconsistency"));
@@ -287,7 +305,7 @@
287305 {
288306 return false;
289307 }
290-
308+
291309 if (!(_ptr()->_is_equivalent(obj.in()))) { return false; }
292310
293311 releaseObject();
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortProvider.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortProvider.cpp (revision 8)
@@ -47,8 +47,14 @@
4747 */
4848 void OutPortProvider::publishInterfaceProfile(SDOPackage::NVList& prop)
4949 {
50+#ifdef ORB_IS_RTORB
51+ SDOPackage_NVList prop_ptr(*prop.cobj());
52+ NVUtil::appendStringValue(prop_ptr, "dataport.interface_type",
53+ m_interfaceType.c_str());
54+#else
5055 NVUtil::appendStringValue(prop, "dataport.interface_type",
5156 m_interfaceType.c_str());
57+#endif
5258 NVUtil::append(prop, m_properties);
5359 }
5460
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CorbaPort.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CorbaPort.cpp (revision 8)
@@ -225,7 +225,11 @@
225225 ++it;
226226 }
227227
228+#ifdef ORB_IS_RTORB
229+ CORBA_SeqUtil::push_back_list(connector_profile.properties, RTC_NVList(*properties.cobj()));
230+#else
228231 CORBA_SeqUtil::push_back_list(connector_profile.properties, properties);
232+#endif
229233
230234 RTC_DEBUG_STR((NVUtil::toString(properties)));
231235
@@ -294,6 +298,7 @@
294298 {
295299 RTC_TRACE(("unsubscribeInterfaces()"));
296300
301+std::cerr << "CorbaPort::unsubscribeInterfaces " << std::endl;
297302 const NVList& nv(connector_profile.properties);
298303
299304 RTC_DEBUG_STR((NVUtil::toString(nv)));
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CORBA_IORUtil.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CORBA_IORUtil.cpp (revision 8)
@@ -31,6 +31,7 @@
3131 typedef _CORBA_Unbounded_Sequence_String StringUSequence;
3232 #endif
3333
34+#ifndef ORB_IS_RTORB
3435 // prototype of static functions
3536 static void print_key(std::stringstream& s, OctetUSequence& key);
3637
@@ -42,7 +43,7 @@
4243 static void print_tagged_components(std::stringstream& sstr,
4344 IOP::MultipleComponentProfile& comps);
4445
45-
46+#endif
4647 /*!
4748 * @if jp
4849 * @brief IOR 文字列をIOR構造体へ変換する
@@ -52,6 +53,7 @@
5253 */
5354 bool toIOR(const char* iorstr, IOP::IOR& ior)
5455 {
56+#ifndef ORB_IS_RTORB
5557 if (iorstr == 0) { return false; }
5658 size_t size = strlen(iorstr);
5759
@@ -102,6 +104,11 @@
102104 ior.type_id = IOP::IOR::unmarshaltype_id(buf);
103105 ior.profiles <<= buf;
104106 return true;
107+#else
108+// CORBA_URL *url;
109+// parseCorbaURL(&url, iorstr);
110+ return false;
111+#endif
105112 }
106113
107114 /*!
@@ -113,6 +120,7 @@
113120 */
114121 bool toString(IOP::IOR& ior, std::string& iorstr)
115122 {
123+#ifndef ORB_IS_RTORB
116124 cdrMemoryStream buf(CORBA::ULong(0),CORBA::Boolean(1));
117125 buf.marshalBoolean(omni::myByteOrder);
118126 buf.marshalRawString(ior.type_id);
@@ -157,8 +165,12 @@
157165 iorstr = result;
158166 delete result;
159167 return true;
168+#else
169+ return false;
170+#endif
160171 }
161172
173+
162174 /*!
163175 * @if jp
164176 * @brief IOR内のエンドポイントを置換する
@@ -168,6 +180,9 @@
168180 */
169181 bool replaceEndpoint(std::string& iorstr, const std::string& endpoint)
170182 {
183+#ifdef ORB_IS_RTORB
184+ return false;
185+#else
171186 try
172187 {
173188 IOP::IOR ior;
@@ -200,6 +215,7 @@
200215 return false;
201216 }
202217 return false;
218+#endif
203219 }
204220
205221 /*!
@@ -212,6 +228,10 @@
212228 std::string formatIORinfo(const char* iorstr)
213229 {
214230 std::stringstream retstr;
231+
232+#ifdef ORB_IS_RTORB
233+ retstr << "RtORB isn't support this function." << std::endl;
234+#else
215235 IOP::IOR ior;
216236 toIOR(iorstr, ior);
217237
@@ -266,10 +286,13 @@
266286 << std::endl;
267287 }
268288 }
289+#endif
269290 return retstr.str();
270291 }
271292
272293
294+#ifndef ORB_IS_RTORB
295+
273296 //------------------------------------------------------------
274297 // static functions
275298
@@ -407,4 +430,5 @@
407430 }
408431 }
409432 }
433+#endif
410434 };
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/Factory.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/Factory.cpp (revision 8)
@@ -32,6 +32,8 @@
3232 FactoryBase::FactoryBase(const coil::Properties& profile)
3333 : m_Profile(profile), m_Number(-1)
3434 {
35+// m_Profile = profile;
36+// m_Number = -1;
3537 }
3638
3739 /*!
@@ -85,8 +87,10 @@
8587 m_Delete(delete_func),
8688 m_policy(policy)
8789 {
90+
8891 if (m_policy == NULL)
8992 throw std::bad_alloc();
93+
9094 }
9195
9296 /*!
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/RTObject.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/RTObject.cpp (revision 8)
@@ -500,8 +500,8 @@
500500 execlist = new ExecutionContextList();
501501
502502 CORBA_SeqUtil::for_each(m_ecMine, ec_copy(execlist));
503+ return execlist._retn();
503504
504- return execlist._retn();
505505 }
506506
507507 /*!
@@ -672,6 +672,7 @@
672672 {
673673 ComponentProfile_var profile
674674 = new ComponentProfile();
675+#ifndef ORB_IS_RTORB
675676 profile->instance_name =
676677 CORBA::string_dup(m_properties["instance_name"].c_str());
677678 profile->type_name =
@@ -685,6 +686,16 @@
685686 profile->category =
686687 CORBA::string_dup(m_properties["category"].c_str());
687688 profile->port_profiles = m_portAdmin.getPortProfileList();
689+#else
690+ profile->instance_name = (char *)m_properties["instance_name"].c_str();
691+ profile->type_name = (char *)m_properties["type_name"].c_str();
692+ profile->description = (char *)m_properties["description"].c_str();
693+ profile->version = (char *)m_properties["version"].c_str();
694+ profile->vendor = (char *)m_properties["vendor"].c_str();
695+ profile->category = (char *)m_properties["category"].c_str();
696+ PortProfileList ppl = m_portAdmin.getPortProfileList();
697+ profile->port_profiles = ppl._retn();
698+#endif
688699 return profile._retn();
689700 }
690701 catch (...)
@@ -1248,7 +1259,11 @@
12481259 {
12491260 SDOPackage::Configuration_var config;
12501261 config = m_pSdoConfig;
1262+#ifndef ORB_IS_RTORB
12511263 return config._retn();
1264+#else
1265+ return config;
1266+#endif
12521267 }
12531268 catch (...)
12541269 {
@@ -1371,7 +1386,11 @@
13711386 RTC_TRACE(("setInstanceName(%s)", instance_name));
13721387
13731388 m_properties["instance_name"] = instance_name;
1389+#ifdef ORB_IS_RTORB
1390+ m_profile.instance_name = (char *)m_properties["instance_name"].c_str();
1391+#else
13741392 m_profile.instance_name = m_properties["instance_name"].c_str();
1393+#endif
13751394 }
13761395
13771396 /*!
@@ -1425,6 +1444,14 @@
14251444 {
14261445 RTC_TRACE(("setProperties()"));
14271446 m_properties << prop;
1447+#ifdef ORB_IS_RTORB
1448+ m_profile.instance_name = (char *)m_properties["instance_name"].c_str();
1449+ m_profile.type_name = (char *)m_properties["type_name"].c_str();
1450+ m_profile.description = (char *)m_properties["description"].c_str();
1451+ m_profile.version = (char *)m_properties["version"].c_str();
1452+ m_profile.vendor = (char *)m_properties["vendor"].c_str();
1453+ m_profile.category = (char *)m_properties["category"].c_str();
1454+#else
14281455 m_profile.instance_name = m_properties["instance_name"].c_str();
14291456 m_profile.type_name = m_properties["type_name"].c_str();
14301457 m_profile.description = m_properties["description"].c_str();
@@ -1431,6 +1458,7 @@
14311458 m_profile.version = m_properties["version"].c_str();
14321459 m_profile.vendor = m_properties["vendor"].c_str();
14331460 m_profile.category = m_properties["category"].c_str();
1461+#endif
14341462 }
14351463
14361464 /*!
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/ManagerServant.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/ManagerServant.cpp (revision 8)
@@ -33,8 +33,9 @@
3333 : m_mgr(::RTC::Manager::instance())
3434 {
3535 rtclog.setName("ManagerServant");
36+
3637 coil::Properties config(m_mgr.getConfig());
37-
38+
3839 if (coil::toBool(config["manager.is_master"], "YES", "NO", true))
3940 { // this is master manager
4041 RTC_TRACE(("This manager is master."));
@@ -56,7 +57,8 @@
5657 {
5758 RTM::Manager_var owner;
5859 owner = findManager(config["corba.master_manager"].c_str());
59- if (CORBA::is_nil(owner))
60+
61+ if (CORBA::is_nil(owner))
6062 {
6163 RTC_INFO(("Master manager not found"));
6264 return;
@@ -75,6 +77,7 @@
7577 RTC_ERROR(("Unknown exception cought."));
7678 }
7779 }
80+
7881 }
7982
8083 ManagerServant::~ManagerServant()
@@ -181,7 +184,11 @@
181184 {
182185 ::RTM::ModuleProfileList_var sprof;
183186 sprof = m_slaves[i]->get_loadable_modules();
187+#ifndef ORB_IS_RTORB
184188 CORBA_SeqUtil::push_back_list(cprof.inout(), sprof.in());
189+#else
190+ CORBA_SeqUtil::push_back_list(cprof, sprof);
191+#endif
185192 continue;
186193 }
187194 }
@@ -231,7 +238,11 @@
231238 {
232239 ::RTM::ModuleProfileList_var sprof;
233240 sprof = m_slaves[i]->get_loaded_modules();
241+#ifndef ORB_IS_RTORB
234242 CORBA_SeqUtil::push_back_list(cprof.inout(), sprof.in());
243+#else
244+ CORBA_SeqUtil::push_back_list(cprof, sprof);
245+#endif
235246 continue;
236247 }
237248 }
@@ -281,7 +292,11 @@
281292 {
282293 ::RTM::ModuleProfileList_var sprof;
283294 sprof = m_slaves[i]->get_factory_profiles();
295+#ifndef ORB_IS_RTORB
284296 CORBA_SeqUtil::push_back_list(cprof.inout(), sprof.in());
297+#else
298+ CORBA_SeqUtil::push_back_list(cprof, sprof);
299+#endif
285300 continue;
286301 }
287302 }
@@ -450,7 +465,11 @@
450465 {
451466 ::RTC::RTCList_var srtcs;
452467 srtcs = m_slaves[i]->get_components();
468+#ifndef ORB_IS_RTORB
453469 CORBA_SeqUtil::push_back_list(srtcs.inout(), crtcs.in());
470+#else
471+ CORBA_SeqUtil::push_back_list(srtcs, crtcs);
472+#endif
454473 continue;
455474 }
456475 }
@@ -496,7 +515,11 @@
496515 {
497516 ::RTC::ComponentProfileList_var sprofs;
498517 sprofs = m_slaves[i]->get_component_profiles();
518+#ifndef ORB_IS_RTORB
499519 CORBA_SeqUtil::push_back_list(cprofs.inout(), sprofs.in());
520+#else
521+ CORBA_SeqUtil::push_back_list(cprofs, sprofs);
522+#endif
500523 continue;
501524 }
502525 }
@@ -537,8 +560,15 @@
537560 RTM::NVList* ManagerServant::get_configuration()
538561 {
539562 RTC_TRACE(("get_configuration()"));
563+#ifndef ORB_IS_RTORB
540564 ::RTC::NVList* nvlist = new ::RTC::NVList();
541565 NVUtil::copyFromProperties(*nvlist, m_mgr.getConfig());
566+#else
567+ ::RTC::NVList* nvlist;
568+ RTC_NVList nvlist_in;
569+ NVUtil::copyFromProperties(nvlist_in, m_mgr.getConfig());
570+ nvlist = new ::RTC::NVList(nvlist_in);
571+#endif
542572 return nvlist;
543573 }
544574
@@ -745,7 +775,11 @@
745775 // Create readable object ID
746776 coil::Properties config(m_mgr.getConfig());
747777 PortableServer::ObjectId_var id;
778+#ifdef ORB_IS_RTORB
779+ id = PortableServer::string_to_ObjectId((char *)config["manager.name"].c_str());
780+#else
748781 id = PortableServer::string_to_ObjectId(config["manager.name"].c_str());
782+#endif
749783
750784 // Object activation
751785 poa->activate_object_with_id(id.in(), this);
@@ -776,7 +810,8 @@
776810 try
777811 {
778812 coil::Properties config(m_mgr.getConfig());
779- std::string mgrloc("corbaloc:iiop:");
813+ //std::string mgrloc("corbaloc:iiop:");
814+ std::string mgrloc("corbaloc::");
780815 mgrloc += host_port;
781816 mgrloc += "/" + config["manager.name"];
782817
@@ -783,11 +818,23 @@
783818 RTC_DEBUG(("corbaloc: %s", mgrloc.c_str()));
784819
785820 CORBA::Object_var mobj;
821+
786822 mobj = m_mgr.getORB()->string_to_object(mgrloc.c_str());
823+
824+#ifdef ORB_IS_RTORB
825+ RTM::Manager_var mgr;
826+ if(!make_client_connection(mobj->impl()->connection)){
827+ return RTM::Manager_ptr();
828+ }else{
829+ mgr = ::RTM::Manager::_narrow(mobj);
830+ }
831+#else
787832 RTM::Manager_var mgr = ::RTM::Manager::_narrow(mobj);
833+#endif
834+ CORBA::String_var ior;
788835
789- CORBA::String_var ior;
790836 ior = m_mgr.getORB()->object_to_string(RTM::Manager::_duplicate(mgr));
837+
791838 std::string iorstr((const char*)ior);
792839 RTC_DEBUG(("Manager's IOR information:\n %s",
793840 CORBA_IORUtil::formatIORinfo(iorstr.c_str()).c_str()));
@@ -796,7 +843,9 @@
796843 }
797844 catch(CORBA::SystemException& e)
798845 {
846+#ifndef ORB_IS_RTORB
799847 RTC_DEBUG(("CORBA SystemException cought (CORBA::%s)", e._name()));
848+#endif
800849 }
801850 catch (...)
802851 {
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/Manager.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/Manager.h (revision 8)
@@ -1565,6 +1565,7 @@
15651565 * @endif
15661566 */
15671567 CORBA::ORB_var m_pORB;
1568+ // CORBA::ORB_ptr m_pORB;
15681569
15691570 /*!
15701571 * @if jp
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PortBase.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PortBase.cpp (revision 8)
@@ -178,6 +178,7 @@
178178 throw (CORBA::SystemException)
179179 {
180180 RTC_TRACE(("connect()"));
181+
181182 if (isEmptyId(connector_profile))
182183 {
183184 Guard gurad(m_profile_mutex);
@@ -195,7 +196,6 @@
195196 return RTC::PRECONDITION_NOT_MET;
196197 }
197198 }
198-
199199 try
200200 {
201201 RTC::PortService_ptr p;
@@ -230,6 +230,7 @@
230230
231231 // publish owned interface information to the ConnectorProfile
232232 retval[0] = publishInterfaces(connector_profile);
233+
233234 if (retval[0] != RTC::RTC_OK)
234235 {
235236 RTC_ERROR(("publishInterfaces() in notify_connect() failed."));
@@ -245,7 +246,6 @@
245246 {
246247 RTC_ERROR(("connectNext() in notify_connect() failed."));
247248 }
248-
249249 // subscribe interface from the ConnectorProfile's information
250250 if (m_onSubscribeInterfaces != 0)
251251 {
@@ -264,6 +264,7 @@
264264 CORBA::Long index(findConnProfileIndex(connector_profile.connector_id));
265265 if (index < 0)
266266 {
267+ CORBA::Long index(findConnProfileIndex(connector_profile.connector_id));
267268 CORBA_SeqUtil::push_back(m_profile.connector_profiles,
268269 connector_profile);
269270 RTC_PARANOID(("New connector_id. Push backed."));
@@ -326,7 +327,6 @@
326327 throw (CORBA::SystemException)
327328 {
328329 RTC_TRACE(("disconnect(%s)", connector_id));
329-
330330 CORBA::Long index(findConnProfileIndex(connector_id));
331331 if (index < 0)
332332 {
@@ -346,12 +346,18 @@
346346 return RTC::PRECONDITION_NOT_MET;
347347 }
348348
349+ ReturnCode_t rc=RTC::RTC_ERROR;
349350 for (CORBA::ULong i(0), len(prof.ports.length()); i < len; ++i)
350351 {
351352 RTC::PortService_var p(prof.ports[i]);
352353 try
353354 {
355+#ifndef ORB_IS_RTORB
354356 return p->notify_disconnect(connector_id);
357+#else
358+ rc=p->notify_disconnect(connector_id);
359+ if(rc != RTC::RTC_OK) return rc;
360+#endif
355361 }
356362 catch (CORBA::SystemException &e)
357363 {
@@ -364,8 +370,12 @@
364370 continue;
365371 }
366372 }
373+#ifndef ORB_IS_RTORB
367374 RTC_ERROR(("notify_disconnect() for all ports failed."));
368375 return RTC::RTC_ERROR;
376+#else
377+ return rc;
378+#endif
369379 }
370380
371381 /*!
@@ -390,12 +400,17 @@
390400 }
391401
392402 ConnectorProfile& prof(m_profile.connector_profiles[(CORBA::ULong)index]);
403+#ifndef ORB_IS_RTORB
393404 ReturnCode_t retval(disconnectNext(prof));
405+#else
406+ ReturnCode_t retval = RTC::RTC_OK;
407+#endif
394408
395409 if (m_onUnsubscribeInterfaces != 0)
396410 {
397411 (*m_onUnsubscribeInterfaces)(prof);
398412 }
413+
399414 unsubscribeInterfaces(prof);
400415
401416 if (m_onDisconnected != 0)
@@ -403,8 +418,24 @@
403418 (*m_onDisconnected)(prof);
404419 }
405420
421+#ifndef ORB_IS_RTORB
406422 CORBA_SeqUtil::erase(m_profile.connector_profiles, index);
423+#else
424+ CORBA::ULong len(m_profile.connector_profiles.length());
425+ if (index < len){
426+// CORBA_TypeCode tc = m_profile._type_code();
427+ // int swap = tc->size / sizeof(void*);
428+// delete &m_profile.connector_profiles._buffer[index*swap];
429+ for (CORBA::ULong i = index; i < len - 1; ++i){
430+// m_profile.connector_profiles._buffer[i*swap]
431+// = m_profile.connector_profiles._buffer[(i + 1)*swap] ;
432+ m_profile.connector_profiles[i] = m_profile.connector_profiles[i + 1] ;
433+ }
434+ m_profile.connector_profiles._length=len-1;
435+ }
407436
437+#endif
438+
408439 return retval;
409440 }
410441
@@ -526,7 +557,7 @@
526557
527558 m_ownerInstanceName = prof->instance_name;
528559 RTC_TRACE(("setOwner(%s)", m_ownerInstanceName.c_str()));
529-
560+
530561 {
531562 Guard gurad(m_profile_mutex);
532563 std::string portname((const char*)m_profile.name);
@@ -607,9 +638,10 @@
607638 ReturnCode_t PortBase::disconnectNext(ConnectorProfile& cprof)
608639 {
609640 CORBA::ULong index;
641+ find_port_ref(m_profile.port_ref);
610642 index = CORBA_SeqUtil::find(cprof.ports,
611643 find_port_ref(m_profile.port_ref));
612- if (index < 0)
644+ if (index < 0 )
613645 {
614646 return RTC::BAD_PARAMETER;
615647 }
@@ -834,6 +866,7 @@
834866 std::vector<std::string> connector_ids;
835867 {
836868 Guard guard(m_profile_mutex);
869+#ifndef ORB_IS_RTORB
837870 ConnectorProfileList& clist(m_profile.connector_profiles);
838871
839872 for (CORBA::ULong i(0); i < clist.length(); ++i)
@@ -845,6 +878,21 @@
845878 RTC_WARN(("Dead connection: %s", id));
846879 }
847880 }
881+#else
882+ ConnectorProfileList *clist=new ConnectorProfileList(m_profile.connector_profiles);
883+
884+ for (CORBA::ULong i(0); i < clist->length(); ++i)
885+ {
886+ if (!checkPorts((*clist)[i].ports))
887+ {
888+ const char* id((*clist)[i].connector_id);
889+ printf("Dead conenction id=%s\n", (*clist)[i].connector_id);
890+ connector_ids.push_back(id);
891+ RTC_WARN(("Dead connection: %s", id));
892+ }
893+ }
894+ delete clist;
895+#endif
848896 }
849897 std::vector<std::string>::iterator it, it_end;
850898
@@ -856,12 +904,15 @@
856904 }
857905
858906
907+#ifndef ORB_IS_RTORB
859908 bool PortBase::checkPorts(::RTC::PortServiceList& ports)
909+#else
910+ bool PortBase::checkPorts(RTC_PortServiceList& ports)
911+#endif
860912 {
861913 for (CORBA::ULong i(0), len(ports.length()); i < len; ++i)
862914 {
863- try
864- {
915+ try{
865916 if (ports[i]->_non_existent())
866917 {
867918 RTC_WARN(("Dead Port reference detected."));
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CorbaNaming.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/CorbaNaming.cpp (revision 8)
@@ -50,6 +50,7 @@
5050 */
5151 CorbaNaming::CorbaNaming(CORBA::ORB_ptr orb, const char* name_server)
5252 : m_varORB(CORBA::ORB::_duplicate(orb)), m_nameServer(name_server),
53+// : m_varORB(orb), m_nameServer(name_server),
5354 m_rootContext(CosNaming::NamingContextExt::_nil()),
5455 m_blLength(100)
5556 {
@@ -119,7 +120,11 @@
119120 }
120121 catch (CannotProceed& e)
121122 {
123+#ifndef ORB_IS_RTORB
122124 force ? bindRecursive(e.cxt, e.rest_of_name, obj) : throw e;
125+#else
126+ force ? bindRecursive(e.cxt(), e.rest_of_name(), obj) : throw e;
127+#endif
123128 }
124129 }
125130
@@ -193,7 +198,11 @@
193198 }
194199 catch (CannotProceed& e)
195200 {
201+#ifndef ORB_IS_RTORB
196202 force ? rebindRecursive(e.cxt, e.rest_of_name, obj) : throw e;
203+#else
204+ force ? rebindRecursive(e.cxt(), e.rest_of_name(), obj) : throw e;
205+#endif
197206 }
198207 }
199208
@@ -436,7 +445,11 @@
436445 }
437446 catch (CannotProceed& e)
438447 {
448+#ifndef ORB_IS_RTORB
439449 force ? bindRecursive(e.cxt, e.rest_of_name, newContext()) : throw e;
450+#else
451+ force ? bindRecursive(e.cxt(), e.rest_of_name(), newContext()) : throw e;
452+#endif
440453 }
441454 return CosNaming::NamingContext::_nil();
442455 }
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PeriodicECSharedComposite.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PeriodicECSharedComposite.cpp (revision 8)
@@ -75,7 +75,12 @@
7575 {
7676 const SDO_var sdo(sdo_list[i]);
7777 ::OpenRTM::DataFlowComponent_var dfc;
78+#ifdef ORB_IS_RTORB
79+ ::OpenRTM::DataFlowComponent_ptr dfc_ptr(dfc.object());
80+ if (!sdoToDFC(sdo.in(), dfc_ptr)) { continue; }
81+#else
7882 if (!sdoToDFC(sdo.in(), dfc.out())) { continue; }
83+#endif
7984
8085 Member member(dfc.in());
8186 stopOwnedEC(member);
@@ -109,9 +114,18 @@
109114
110115 for (::CORBA::ULong i(0), len(sdo_list.length()); i < len; ++i)
111116 {
117+#ifdef ORB_IS_RTORB
118+ const SDO_var sdo = sdo_list[i].object();
119+
120+ ::OpenRTM::DataFlowComponent_var dfc;
121+ ::OpenRTM::DataFlowComponent_ptr dfc_ptr(dfc);
122+
123+ if (!sdoToDFC(sdo.in(), dfc_ptr)) { continue; }
124+#else
112125 const SDO_var sdo = sdo_list[i];
113126 ::OpenRTM::DataFlowComponent_var dfc;
114127 if (!sdoToDFC(sdo.in(), dfc.out())) { continue; }
128+#endif
115129
116130 Member member(dfc.in());
117131
@@ -305,8 +319,14 @@
305319 SDOList_var sdos = orglist[i]->get_members();
306320 for (CORBA::ULong j(0); j < sdos->length(); ++j)
307321 {
322+#ifdef ORB_IS_RTORB
308323 ::OpenRTM::DataFlowComponent_var dfc;
324+ ::OpenRTM::DataFlowComponent_ptr dfc_ptr(dfc);
325+ if (!sdoToDFC(sdos[j].in(), dfc_ptr)) { continue; }
326+#else
327+ ::OpenRTM::DataFlowComponent_var dfc;
309328 if (!sdoToDFC(sdos[j].in(), dfc.out())) { continue; }
329+#endif
310330 m_ec->add_component(dfc.in());
311331 }
312332 }
@@ -341,8 +361,14 @@
341361 SDOList_var sdos = orglist[i]->get_members();
342362 for (CORBA::ULong j(0); j < sdos->length(); ++j)
343363 {
364+#ifdef ORB_IS_RTORB
344365 ::OpenRTM::DataFlowComponent_var dfc;
366+ ::OpenRTM::DataFlowComponent_ptr dfc_ptr(dfc);
367+ if (!sdoToDFC(sdos[j].in(), dfc_ptr)) { continue; }
368+#else
369+ ::OpenRTM::DataFlowComponent_var dfc;
345370 if (!sdoToDFC(sdos[j].in(), dfc.out())) { continue; }
371+#endif
346372 m_ec->remove_component(dfc.in());
347373 }
348374 }
@@ -363,7 +389,11 @@
363389 if (portlist.size() == 0) { return; }
364390
365391 std::string comp_name(member.profile_->instance_name);
392+#ifdef ORB_IS_RTORB
393+ ::RTC::PortProfileList plist(member.profile_->port_profiles);
394+#else
366395 ::RTC::PortProfileList& plist(member.profile_->port_profiles);
396+#endif
367397
368398 // port delegation
369399 for (::CORBA::ULong i(0), len(plist.length()); i < len; ++i)
@@ -409,7 +439,11 @@
409439 if (portlist.size() == 0) { return; }
410440
411441 std::string comp_name(member.profile_->instance_name);
442+#ifdef ORB_IS_RTORB
443+ ::RTC::PortProfileList plist(member.profile_->port_profiles);
444+#else
412445 ::RTC::PortProfileList& plist(member.profile_->port_profiles);
446+#endif
413447
414448 // port delegation
415449 for (::CORBA::ULong i(0), len(plist.length()); i < len; ++i)
@@ -596,10 +630,17 @@
596630 }
597631
598632 ::SDOPackage::SDO_var sdo;
633+#ifdef ORB_IS_RTORB
634+ sdo = ::SDOPackage::SDO::_duplicate((rtc->getObjRef()).in());
635+ if (::CORBA::is_nil(sdo)) continue;
636+
637+ ::CORBA_SeqUtil::push_back(sdos, ::SDOPackage::SDO_ptr(sdo));
638+#else
599639 sdo = ::SDOPackage::SDO::_duplicate(rtc->getObjRef());
600640 if (::CORBA::is_nil(sdo)) continue;
601641
602642 ::CORBA_SeqUtil::push_back(sdos, sdo);
643+#endif
603644 }
604645
605646 try
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/NVUtil.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/NVUtil.cpp (revision 8)
@@ -104,7 +104,11 @@
104104 * @brief Copy the properties to NVList
105105 * @endif
106106 */
107+#ifndef ORB_IS_RTORB
107108 void copyFromProperties(SDOPackage::NVList& nv, const coil::Properties& prop)
109+#else
110+ void copyFromProperties(SDOPackage_NVList& nv, const coil::Properties& prop)
111+#endif
108112 {
109113 std::vector<std::string> keys;
110114 keys = prop.propertyNames();
@@ -300,8 +304,13 @@
300304 * @brief Append the specified string to element of NVList
301305 * @endif
302306 */
307+#ifndef ORB_IS_RTORB
303308 bool appendStringValue(SDOPackage::NVList& nv, const char* name,
304309 const char* value)
310+#else
311+ bool appendStringValue(SDOPackage_NVList& nv, const char* name,
312+ const char* value)
313+#endif
305314 {
306315 // if (!isString(nv, name)) return false;
307316
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/config_rtc.h.in (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/config_rtc.h.in (revision 8)
@@ -51,6 +51,9 @@
5151 /* ORB is ORBit2 */
5252 #undef ORB_IS_ORBIT2
5353
54+/* ORB is RtORB */
55+#undef ORB_IS_RTORB
56+
5457 /* ORB is Orbix */
5558 #undef ORB_IS_ORBIX
5659
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortConsumer.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/InPortConsumer.h (revision 8)
@@ -28,10 +28,12 @@
2828 class Properties;
2929 };
3030
31+#ifndef ORB_IS_RTORB
3132 namespace SDOPackage
3233 {
3334 class NVList;
3435 };
36+#endif
3537
3638 class cdrMemoryStream;
3739
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortConsumer.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/OutPortConsumer.h (revision 8)
@@ -24,10 +24,12 @@
2424 #include <rtm/DataPortStatus.h>
2525 #include <rtm/CdrBufferBase.h>
2626
27+#ifndef ORB_IS_RTORB
2728 namespace SDOPackage
2829 {
2930 class NVList;
3031 };
32+#endif
3133
3234 namespace coil
3335 {
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PortAdmin.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/PortAdmin.cpp (revision 8)
@@ -35,8 +35,15 @@
3535 find_port_name(const char* name) : m_name(name) {};
3636 bool operator()(const PortService_ptr& p)
3737 {
38+#ifndef ORB_IS_RTORB
3839 PortProfile_var prof(p->get_port_profile());
3940 std::string name(prof->name);
41+#else
42+ PortProfile *pp;
43+ pp = p->get_port_profile();
44+ std::string name( pp->name);
45+ delete pp;
46+#endif
4047 return m_name == name;
4148 }
4249 const std::string m_name;
@@ -107,11 +114,25 @@
107114 */
108115 PortProfileList PortAdmin::getPortProfileList() const
109116 {
117+#ifndef ORB_IS_RTORB
110118 PortProfileList port_profs;
111119 // port_prof_collect p(port_profs);
112120 port_prof_collect2 p(port_profs);
113121 // m_portServants.for_each(p);
114122 ::CORBA_SeqUtil::for_each(m_portRefs, p);
123+#else
124+ CORBA::ULong len = m_portRefs.length();
125+ PortProfileList port_profs = PortProfileList(len);
126+ PortProfile *pp;
127+
128+ for (CORBA::ULong i = 0; i < len; ++i){
129+ pp = m_portRefs[i]->get_port_profile();
130+ port_profs[i] = *(pp);
131+if( pp->connector_profiles._length > 0)
132+std::cerr << "PortProfile : "<< pp->connector_profiles[0].connector_id << std::endl;
133+ delete pp;
134+ }
135+#endif
115136 return port_profs;
116137 }
117138
@@ -158,7 +179,6 @@
158179 if (CORBA_SeqUtil::find(m_portRefs, find_port_name(port.getName())) != -1)
159180 return false;
160181
161-
162182 // Store Port's ref to PortServiceList
163183 CORBA_SeqUtil::push_back(m_portRefs, RTC::PortService::_duplicate(port.getPortRef()));
164184
@@ -165,11 +185,16 @@
165185 // Store Port servant
166186 return m_portServants.registerObject(&port);
167187 }
188+
168189 bool PortAdmin::addPort(PortService_ptr port)
169190 {
170191 // Check for duplicate
171192 PortProfile_var prof(port->get_port_profile());
172193 std::string name(prof->name);
194+#ifdef ORB_IS_RTORB
195+ delete prof._retn();
196+#endif
197+
173198 if (CORBA_SeqUtil::find(m_portRefs, find_port_name(name.c_str())) != -1)
174199 return false;
175200
--- openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/RTC.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/src/lib/rtm/RTC.h (revision 8)
@@ -32,6 +32,10 @@
3232 #include <orbsvcs/CosNamingC.h>
3333 #endif
3434
35+#ifdef ORB_IS_RTORB
36+#include <RtORB/cdrStream.h>
37+#endif
38+
3539 #ifdef ORB_IS_OMNIORB
3640
3741 #ifdef WIN32
--- openrtm-tk/trunk/lib/openrtm-tkernel/build/makewrapper.py (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/build/makewrapper.py (revision 8)
@@ -63,6 +63,11 @@
6363 #elif defined ORB_IS_ORBIT2
6464 #include "[skel_dir]/[basename]-cpp-skels.cc"
6565 #include "[skel_dir]/[basename]-cpp-stubs.cc"
66+#elif defined ORB_IS_RTORB
67+#include "[skel_dir]/[basename]-common.c"
68+#include "[skel_dir]/[basename]-stubs.c"
69+#include "[skel_dir]/[basename]-skels.c"
70+#include "[skel_dir]/[basename]-skelimpl.c"
6671 #else
6772 #error "NO ORB defined"
6873 #endif
@@ -116,6 +121,8 @@
116121 #elif defined ORB_IS_ORBIT2
117122 #include "[skel_dir]/[basename]-cpp-stubs.h"
118123 #include "[skel_dir]/[basename]-cpp-skels.h"
124+#elif defined ORB_IS_RTORB
125+#include "[skel_dir]/[basename].h"
119126 #else
120127 #error "NO ORB defined"
121128 #endif
@@ -161,6 +168,8 @@
161168 #include "[skel_dir]/[basename].cc"
162169 #elif defined ORB_IS_ORBIT2
163170 #include "[skel_dir]/[basename]-cpp-stubs.cc"
171+#elif defined ORB_IS_RTORB
172+#include "[skel_dir]/[basename]-stubs.c"
164173 #else
165174 #error "NO ORB defined"
166175 #endif
@@ -211,6 +220,8 @@
211220 #include "[skel_dir]/[basename].h"
212221 #elif defined ORB_IS_ORBIT2
213222 #include "[skel_dir]/[basename]-cpp-stubs.h"
223+#elif defined ORB_IS_RTORB
224+#include "[skel_dir]/[basename].h"
214225 #else
215226 #error "NO ORB defined"
216227 #endif
--- openrtm-tk/trunk/lib/openrtm-tkernel/utils/rtm-skelwrapper/skel_wrapper.py (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/utils/rtm-skelwrapper/skel_wrapper.py (revision 8)
@@ -60,6 +60,8 @@
6060 #elif defined ORB_IS_ORBIT2
6161 # include "[include_dir]/[basename]-cpp-stubs.h"
6262 # include "[include_dir]/[basename]-cpp-skels.h"
63+#elif defined ORB_IS_RTORB
64+# include "[include_dir][basename].h"
6365 #else
6466 # error "NO ORB defined"
6567 #endif
@@ -99,6 +101,11 @@
99101 #elif defined ORB_IS_ORBIT2
100102 # include "[include_dir][basename]-cpp-stubs.cc"
101103 # include "[include_dir][basename]-cpp-skels.cc"
104+#elif defined ORB_IS_RTORB
105+# include "[include_dir][basename]-common.c"
106+# include "[include_dir][basename]-stubs.c"
107+# include "[include_dir][basename]-skels.c"
108+# include "[include_dir][basename]-skelimpl.c"
102109 #else
103110 # error "NO ORB defined"
104111 #endif
@@ -142,6 +149,8 @@
142149 # include "[include_dir][basename].h"
143150 #elif defined ORB_IS_ORBIT2
144151 # include "[include_dir][basename]-cpp-stubs.h"
152+#elif defined ORB_IS_RTORB
153+# include "[include_dir][basename].h"
145154 #else
146155 # error "NO ORB defined"
147156 #endif
@@ -177,6 +186,9 @@
177186 # include "[include_dir][basename].cc"
178187 #elif defined ORB_IS_ORBIT2
179188 # include "[include_dir][basename]-cpp-stubs.cc"
189+#elif defined ORB_IS_RTORB
190+# include "[include_dir][basename]-common.c"
191+# include "[include_dir][basename]-stubs.c"
180192 #else
181193 # error "NO ORB defined"
182194 #endif
--- openrtm-tk/trunk/lib/openrtm-tkernel/configure.ac (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/configure.ac (revision 8)
@@ -102,6 +102,7 @@
102102 AC_ARG_WITH(omniorb, [ --with-omniorb=dir Find omniORB installation below dir])
103103 AC_ARG_WITH(omniorb, [ --with-orbit2=dir Find ORBit2 installation below dir])
104104 AC_ARG_WITH(orbexpress, [ --with-orbexpress=dir Find ORBexpress installation below dir])
105+AC_ARG_WITH(rtorb, [ --with-rtorb=dir Find RtORB installation below dir])
105106 AC_ARG_WITH(generic-orb, [ --with-generic-orb Use other CORBA 2.3 ORB])
106107 AC_ARG_WITH(generic-orb-lib, [ --with-generic-orb-lib =libs ORB libraries (-l...)])
107108
@@ -429,6 +430,9 @@
429430 if test "x$with_orbexpress" != "x" ; then
430431 orb_to_use=ORBexpress
431432 fi
433+if test "x$with_rtorb" != "x" ; then
434+ orb_to_use=RtORB
435+fi
432436 if test "x$orb_to_use" = "x" ; then
433437 orb_to_use=omniORB
434438 fi
@@ -1172,7 +1176,93 @@
11721176 dnl end of ORBexpres
11731177 dnl ------------------------------------------------------------
11741178
1179+dnl ============================================================
1180+dnl RtORB setup
1181+dnl
1182+dnl 1. check RtORB/corba.hh for RtORB
1183+dnl 2. check RtORB library "libRtORB.so and libRtORB_cpp.so"
1184+dnl 3. check RtORB idl compiler "rtorb-idl"
1185+dnl 4. set IDL compile options, CPPFLAGS, LDFLAGS, LIBS etc...
1186+dnl ============================================================
1187+have_rtorb=no
11751188
1189+if test "x$orb_to_use" = "xRtORB" ; then
1190+ dnl ------------------------------------------------------------
1191+ dnl find ORBit2's orbit2-config script and check version
1192+ dnl ------------------------------------------------------------
1193+ AC_MSG_CHECKING(for RtORB/corba.hh)
1194+ FP_FIND_FILE(RtORB/corba.hh,
1195+ $with_rtorb/include $more_incs $base_incs $base_dirs,
1196+ include cxx/include)
1197+ if test "x$RtORB_corba_hh_dir" = "x" ; then
1198+ AC_MSG_RESULT(not found)
1199+ else
1200+ AC_MSG_RESULT(found in $RtORB_corba_hh_dir)
1201+ have_rtorb=yes
1202+ fi
1203+fi
1204+
1205+
1206+if test "x$have_rtorb" = "xyes" ; then
1207+ dnl ------------------------------------------------------------
1208+ dnl Find libRtORB.so
1209+ dnl ------------------------------------------------------------
1210+ AC_MSG_CHECKING(for libRtORB.so)
1211+ FP_FIND_FILE(libRtORB.so,$with_rtorb/lib $more_libs $base_libs $base_dirs,lib cxx/lib)
1212+ if test "x$libRtORB_so_dir" = "x" ; then
1213+ AC_MSG_RESULT(not found)
1214+ AC_MSG_ERROR(use --with-rtorb=dir to locate <dir>/lib/libRtORB.so)
1215+ else
1216+ AC_MSG_RESULT(found in $libRtORB_so_dir)
1217+ fi
1218+
1219+ dnl ------------------------------------------------------------
1220+ dnl Find libRtORB_cpp.so
1221+ dnl ------------------------------------------------------------
1222+ AC_MSG_CHECKING(for libRtORB_cpp.so)
1223+ FP_FIND_FILE(libRtORB_cpp.so,$with_rtorb/lib $more_libs $base_libs $base_dirs,lib cxx/lib)
1224+ if test "x$libRtORB_cpp_so_dir" = "x" ; then
1225+ AC_MSG_RESULT(not found)
1226+ AC_MSG_ERROR(use --with-rtorb=dir to locate <dir>/lib/libRtORB_cpp.so)
1227+ else
1228+ AC_MSG_RESULT(found in $libRtORB_cpp_so_dir)
1229+ fi
1230+
1231+ dnl ------------------------------------------------------------
1232+ dnl Find rtorb-idl
1233+ dnl ------------------------------------------------------------
1234+ AC_MSG_CHECKING(for rtorb-idl)
1235+ FP_FIND_FILE(rtorb-idl,$with_rtorb/bin $base_bins $base_dirs,bin)
1236+ if test "x$rtorb_idl" = "x" ; then
1237+ AC_MSG_RESULT(not found)
1238+ AC_MSG_ERROR(use --with-rtorb=dir to locate bin prefix. ex. <dir>/bin/rtorb-idl)
1239+ else
1240+ AC_MSG_RESULT(found. $rtorb_idl)
1241+ fi
1242+
1243+ dnl ------------------------------------------------------------
1244+ dnl RtORB setup complete
1245+ dnl ------------------------------------------------------------
1246+ IDLC=$rtorb_idl
1247+ IDL_FLAGS="--skeleton-impl -DORBIT2_IDL -I."
1248+ COSNAMES=$with_rtorb/CosName/NameService
1249+ dnl Compiler/Linker options
1250+ CPPFLAGS="$CPPFLAGS -DUSE_THREAD -DLinux -I$with_rtorb/include"
1251+ CXXFLAGS="$CXXFLAGS -DUSE_THREAD -DLinux -I$with_rtorb/include"
1252+ LDFLAGS="$LDFLAGS -L$libRtORB_so_dir"
1253+ LIBS="$LIBS -lRtORB -lRtORB_cpp -lpthread"
1254+ LDSOLIBS="$LDSOLIBS -lRtORB -lRtORB_cpp -lpthread"
1255+ AC_DEFINE([ORB_IS_RTORB], [TRUE], [ORB is RtORB])
1256+fi
1257+
1258+if test "x$orb_to_use" = "x" && test "x$have_rtorb" = "xyes" ; then
1259+ orb_to_use=RtORB
1260+fi
1261+
1262+dnl end of RtORB setup
1263+dnl------------------------------------------------------------
1264+
1265+
11761266 dnl ------------------------------------------------------------
11771267 dnl ORB setup
11781268 dnl ------------------------------------------------------------
@@ -1199,6 +1289,9 @@
11991289 ORBexpress)
12001290 AC_MSG_RESULT([ORBexpress, version $orbexpress_version])
12011291 ;;
1292+RtORB)
1293+ AC_MSG_RESULT([RtORB, version $rtorb_version])
1294+ ;;
12021295 generic)
12031296 AC_MSG_RESULT([generic ORB, unknown version])
12041297 ORB_SOURCES="event-corba.cc"
@@ -1220,6 +1313,7 @@
12201313 AM_CONDITIONAL(ORB_IS_MICO, test x$orb_to_use = xMICO)
12211314 AM_CONDITIONAL(ORB_IS_ORBIT2, test x$orb_to_use = xORBit2)
12221315 AM_CONDITIONAL(ORB_IS_ORBEXPRESS, test x$orb_to_use = xORBexpress)
1316+AM_CONDITIONAL(ORB_IS_RTORB, test x$orb_to_use = xRtORB)
12231317
12241318
12251319 dnl ------------------------------------------------------------
--- openrtm-tk/trunk/lib/openrtm-tkernel/examples/SeqIO/SeqIn.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/examples/SeqIO/SeqIn.cpp (revision 8)
@@ -66,7 +66,6 @@
6666 addInPort("LongSeq", m_LongSeqIn);
6767 addInPort("FloatSeq", m_FloatSeqIn);
6868 addInPort("DoubleSeq", m_DoubleSeqIn);
69-
7069 // check m_LongIn port only
7170 m_LongIn.addConnectorDataListener(ON_BUFFER_WRITE,
7271 new DataListener("ON_BUFFER_WRITE"));
--- openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConsoleIn.h (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConsoleIn.h (revision 8)
@@ -52,6 +52,8 @@
5252 // std::cout << "Profile::properties: " << std::endl;
5353 // std::cout << info.properties;
5454 // std::cout << std::endl;
55+ std::cout << "Time(sec):" <<data.tm.sec << std::endl;
56+ std::cout << "Time(nsec):" <<data.tm.nsec << std::endl;
5557 std::cout << "Data: " << data.data << std::endl;
5658 std::cout << "------------------------------" << std::endl;
5759 };
--- openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConsoleInComp.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConsoleInComp.cpp (revision 8)
@@ -77,8 +77,11 @@
7777 int main (int argc, char** argv)
7878 {
7979 RTC::Manager* manager;
80+ CORBA::ORB* orb;
8081 manager = RTC::Manager::init(argc, argv);
8182
83+ orb= manager->getORB();
84+
8285 // Set module initialization proceduer
8386 // This procedure will be invoked in activateManager() function.
8487 manager->setModuleInitProc(MyModuleInit);
--- openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConnectorComp.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConnectorComp.cpp (revision 8)
@@ -265,18 +265,21 @@
265265 CORBA_SeqUtil::push_back(prof.properties,
266266 NVUtil::newNV(key.c_str(),
267267 it->second.c_str()));
268- std::cout << "buffer_prop.key: " << key << std::endl;
269- std::cout << "buffer_prop.val: " << it->second << std::endl;
268+ std::cout << "################# buffer_prop.key: " << key << std::endl;
269+ std::cout << "################# buffer_prop.val: " << it->second << std::endl;
270270 ++it;
271271 }
272272 std::cout << "deb 4" << std::endl;
273273
274274 ReturnCode_t ret;
275- if (connect_origin == "in")
275+ if (connect_origin == "in"){
276276 ret = pin[(CORBA::ULong)0]->connect(prof);
277- else
277+ }else{
278278 ret = pout[(CORBA::ULong)0]->connect(prof);
279+ }
279280
281+ std::cout << "finish connecting " << std::endl;
282+
280283 assert(ret == RTC::RTC_OK);
281284
282285 std::cout << "Connector ID: " << prof.connector_id << std::endl;
--- openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConsoleIn.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConsoleIn.cpp (revision 8)
@@ -100,6 +100,8 @@
100100 {
101101 std::cout << "Please input number: ";
102102 std::cin >> m_out.data;
103+
104+ std::cout << "data=" << m_out.data << std::endl;
103105 if (m_out.data == 666) return RTC::RTC_ERROR;
104106 m_outOut.write();
105107
--- openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConsoleOut.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleIO/ConsoleOut.cpp (revision 8)
@@ -45,7 +45,6 @@
4545 // Set service consumers to Ports
4646
4747 // Set CORBA Service Ports
48-
4948 // </rtc-template>
5049
5150 }
@@ -59,6 +58,7 @@
5958 {
6059 addInPort("in", m_inIn);
6160
61+
6262 m_inIn.addConnectorDataListener(ON_BUFFER_WRITE,
6363 new DataListener("ON_BUFFER_WRITE"));
6464 m_inIn.addConnectorDataListener(ON_BUFFER_FULL,
@@ -93,7 +93,6 @@
9393 m_inIn.addConnectorListener(ON_DISCONNECT,
9494 new ConnListener("ON_DISCONNECT"));
9595
96-
9796 return RTC::RTC_OK;
9897 }
9998
@@ -101,6 +100,8 @@
101100 {
102101 if (m_inIn.isNew())
103102 {
103+ std::cout << "@@@@@@@@ New data Received " << std::endl;
104+
104105 m_inIn.read();
105106 std::cout << "Received: " << m_in.data << std::endl;
106107 std::cout << "TimeStamp: " << m_in.tm.sec << "[s] ";
@@ -122,6 +123,8 @@
122123 manager->registerFactory(profile,
123124 RTC::Create<ConsoleOut>,
124125 RTC::Delete<ConsoleOut>);
126+
127+ std::cout << "_________ConsoleOutInit...." << std::endl;
125128 }
126129
127130 };
--- openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleService/MyServiceSVC_impl.cpp (revision 7)
+++ openrtm-tk/trunk/lib/openrtm-tkernel/examples/SimpleService/MyServiceSVC_impl.cpp (revision 8)
@@ -43,7 +43,7 @@
4343 char* MyServiceSVC_impl::echo(const char* msg)
4444 throw (CORBA::SystemException)
4545 {
46- CORBA_SeqUtil::push_back(m_echoList, msg);
46+ CORBA_SeqUtil::push_back(m_echoList, (char *)msg);
4747 std::cout << "MyService::echo() was called." << std::endl;
4848
4949 for (int i(0); i < 10; ++i)
Show on old repository browser